Announcements
For instructions on how to authenticate to use this endpoint, see API overview.
Endpoints
GET | |
POST | |
GET | |
GET |
List all announcements
Required API key scopes
customer_analytics:readQuery parameters
- limitinteger
- offsetinteger
Response
Example request
GET /api /projects /:project_id /announcementsExample response
Status 200
RESPONSE
Create announcements
Required API key scopes
customer_analytics:writeRequest parameters
- messagestring
- send_asDefault:
bot - channelsarray
Response
Example request
POST /api /projects /:project_id /announcementsExample response
Status 201
RESPONSE
Retrieve announcements
Required API key scopes
customer_analytics:readPath parameters
- short_idstring
Response
Example request
GET /api /projects /:project_id /announcements /:short_idExample response
Status 200
RESPONSE
List all announcements channels
Slack channels the SupportHog bot can post to, labeled by customer account name.
Example request
GET /api /projects /:project_id /announcements /channelsExample response
Status 200
RESPONSE











